Subject: Re: bug#46827: Broken initial size of GTK3 frame

From: martin rudalics <[email-masked]>
Date: Wed, 12 May 2021 10:47:17 +0200

>> display engine - the entity responsible for detecting whether a tab bar
 >> line must be wrapped - can tell.  We could easily set the value of the
 >> 'tab-bar-lines' parameter to that - it would make more sense than what
 >> we have now.  Currently, (frame-parameter nil 'tab-bar-lines) yields "3"
 >> when I have one logical tab bar line that wraps when I make the frame
 >> narrow enough.
 >
 > I see the same.

Do we want to change it?  Then we'd probably have to change the
semantics of this for tool bar and menu bar lines too.  Note: In
practice we care only about zero or not zero here.

martin